Analytics · Inbox Analytics

Get conversation analytics

Fetches conversation analytics.

GEThttps://api.pozy.ai/v1/analytics/inbox/conversations/{conversationId}
getInboxConversationAnalytics

Guide: Inbox analytics

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
conversationIdrequiredstring

Query parameters

NameTypeNotes
fromDaterequiredstring (date)
toDatestring (date)

Example

curl -X GET "https://api.pozy.ai/v1/analytics/inbox/conversations/6e525f3820fc636aa96d2ee9?fromDate=2026-10-01" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • successboolean
  • conversationIdstring
  • mongoIdstring
  • platformstring

    Can be null.

  • fromstring (date)
  • tostring (date)

    Can be null.

  • summaryobject
    7 child fields
    • receivedinteger
    • sentinteger
    • readinteger
    • failedinteger
    • totalMessagesinteger
    • firstMessageAtstring (date-time)

      Can be null.

    • lastMessageAtstring (date-time)

      Can be null.

  • timeseriesarray of object
    • datestring (date)
    • sentinteger
    • receivedinteger
    • readinteger
    • failedinteger
  • bySourcearray of object
    • sourcestring
    • countinteger
200 response
{
  "success": true,
  "conversationId": "6e525f3820fc636aa96d2ee9",
  "mongoId": "69a579625d8d26a9e12912c0",
  "platform": "instagram",
  "from": "2026-10-01",
  "to": "2026-10-01",
  "summary": {
    "received": 1,
    "sent": 1,
    "read": 1,
    "failed": 1,
    "totalMessages": 42,
    "firstMessageAt": "2026-10-02T09:00:00.000Z",
    "lastMessageAt": "2026-10-02T09:00:00.000Z"
  },
  "timeseries": [
    {
      "date": "2026-10-02T09:00:00.000Z",
      "sent": 1,
      "received": 1,
      "read": 1,
      "failed": 1
    }
  ],
  "bySource": [
    {
      "source": "string",
      "count": 42
    }
  ]
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Inbox Analytics